from django.urls import path, include
from rest_framework import routers
from api import views

router = routers.DefaultRouter()
router.register(r'aplicaciones', views.AplicacionViewSet)
router.register(r'usuarios', views.UsuarioViewSet)
router.register(r'personas', views.PersonaViewSet)

urlpatterns = [
    path('', include(router.urls)),
    path(r'auth/', views.jwt_login, name='auth'),
]